package com.qmth.sop.business.bean.dto;

import com.qmth.sop.business.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 派单人员档案分配dto
 * @Author: CaoZixuan
 * @Date: 2023-08-16
 */
public class AllocationDto {
    @ApiModelProperty("认证的角色id")
    private Long roleId;

    @ApiModelProperty("认证的角色名称")
    private String roleName;

    @ApiModelProperty("配额")
    private Integer quotaCount;

    @ApiModelProperty("实际分配的人数")
    private Integer realityCount;

    @ApiModelProperty("分配的用户")
    private List<SysUser> sysUserList;

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Integer getQuotaCount() {
        return quotaCount;
    }

    public void setQuotaCount(Integer quotaCount) {
        this.quotaCount = quotaCount;
    }

    public Integer getRealityCount() {
        return realityCount;
    }

    public void setRealityCount(Integer realityCount) {
        this.realityCount = realityCount;
    }

    public List<SysUser> getSysUserList() {
        return sysUserList;
    }

    public void setSysUserList(List<SysUser> sysUserList) {
        this.sysUserList = sysUserList;
    }
}
